{"items":[{"type":"separator","label":"GET STARTED"},{"type":"link","fsPath":"v1-api-reference/introduction.md","metadata":{"type":"markdown"},"label":"Introduction","link":"/v1-api-reference/introduction","routeSlug":"/v1-api-reference/introduction"},{"type":"link","fsPath":"v1-api-reference/object-model.md","metadata":{"type":"markdown"},"label":"Zuora object model","link":"/v1-api-reference/object-model"},{"type":"link","fsPath":"v1-api-reference/cors-rest.md","metadata":{"type":"markdown"},"label":"CORS and Zuora v1 API","link":"/v1-api-reference/cors-rest","routeSlug":"/v1-api-reference/cors-rest"},{"type":"group","label":"API versions","items":[{"type":"link","fsPath":"v1-api-reference/api-versions.md","metadata":{"type":"markdown"},"label":"Introduction to API versions","link":"/v1-api-reference/api-versions","routeSlug":"/v1-api-reference/api-versions"},{"type":"link","fsPath":"v1-api-reference/api-upgrades.md","metadata":{"type":"markdown"},"label":"API upgrades","link":"/v1-api-reference/api-upgrades","routeSlug":"/v1-api-reference/api-upgrades"},{"type":"link","fsPath":"v1-api-reference/api-upgrade-guide.md","metadata":{"type":"markdown"},"label":"API upgrade guide","link":"/v1-api-reference/api-upgrade-guide","routeSlug":"/v1-api-reference/api-upgrade-guide"}]},{"type":"link","fsPath":"v1-api-reference/api-object-names.md","metadata":{"type":"markdown"},"label":"API object names for Describe","link":"/v1-api-reference/api-object-names","routeSlug":"/v1-api-reference/api-object-names"},{"type":"link","fsPath":"docs/get-started/changelogs/v1-api-changelog.md","metadata":{"type":"markdown"},"label":"API changelog","link":"/docs/get-started/changelogs/v1-api-changelog"},{"type":"link","fsPath":"docs/guides/api-policies.md","metadata":{"type":"markdown"},"label":"API policies","link":"/docs/guides/api-policies","routeSlug":"/docs/guides/api-policies"},{"type":"separator","label":"ENDPOINTS"},{"type":"group","label":"v1 API","items":[{"type":"link","label":"API Reference","link":"/v1-api-reference/api","routeSlug":"/v1-api-reference/api"},{"type":"link","label":"More OpenAPI specification options","link":"/v1-api-reference/api/section/more-openapi-specification-options","routeSlug":"/v1-api-reference/api/section/more-openapi-specification-options"},{"type":"separator","label":"Authentication"},{"type":"group","label":"OAuth","link":"/v1-api-reference/api/oauth","routeSlug":"/v1-api-reference/api/oauth","items":[{"label":"Create an OAuth token","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/oauth/createtoken","routeSlug":"/v1-api-reference/api/oauth/createtoken","metadata":{"seo":{"title":"Create an OAuth token","description":"Creates a bearer token that enables an OAuth client to authenticate with the Zuora REST API. The OAuth client must have been created using the Zuora UI. See Authentication for more information."}},"httpPath":"/oauth/token"}]},{"type":"separator","label":"Commerce"},{"type":"group","label":"Commerce","link":"/v1-api-reference/api/commerce","routeSlug":"/v1-api-reference/api/commerce","items":[{"label":"Create a billable metric","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/createbillablemetric","routeSlug":"/v1-api-reference/api/commerce/createbillablemetric","metadata":{"seo":{"title":"Create a billable metric","description":"Creates a billable metric that numbered metered features can use to measure entitlement usage."}},"httpPath":"/commerce/billable-metrics"},{"label":"List billable metrics","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/getbillablemetrics","routeSlug":"/v1-api-reference/api/commerce/getbillablemetrics","metadata":{"seo":{"title":"List billable metrics","description":"Lists billable metrics that numbered metered features can use to measure entitlement usage."}},"httpPath":"/commerce/billable-metrics"},{"label":"Retrieve a billable metric","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/getbillablemetric","routeSlug":"/v1-api-reference/api/commerce/getbillablemetric","metadata":{"seo":{"title":"Retrieve a billable metric","description":"Retrieves a billable metric by its unique identifier or metric number."}},"httpPath":"/commerce/billable-metrics/{id}"},{"label":"Update a billable metric","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/updatebillablemetric","routeSlug":"/v1-api-reference/api/commerce/updatebillablemetric","metadata":{"seo":{"title":"Update a billable metric","description":"Updates an existing billable metric. Use this operation to change fields such as name,description, filters, computed_properties, and group_keys. Include metric_keyin the request body to identify the metric."}},"httpPath":"/commerce/billable-metrics/{id}"},{"label":"Delete a billable metric","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/deletebillablemetric","routeSlug":"/v1-api-reference/api/commerce/deletebillablemetric","metadata":{"seo":{"title":"Delete a billable metric","description":"Deletes a billable metric by its unique identifier."}},"httpPath":"/commerce/billable-metrics/{id}"},{"label":"Create a feature","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/createfeature","routeSlug":"/v1-api-reference/api/commerce/createfeature","metadata":{"seo":{"title":"Create a feature","description":"Creates a catalog feature. Supported feature types are boolean (bool), enum (enumType),numbered metered, and numbered unmetered."}},"httpPath":"/commerce/features"},{"label":"List features","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/getfeatures","routeSlug":"/v1-api-reference/api/commerce/getfeatures","metadata":{"seo":{"title":"List features","description":"Lists catalog features, including boolean, enum, numbered metered, and numbered unmetered features."}},"httpPath":"/commerce/features"},{"label":"Update a feature","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/updatefeature","routeSlug":"/v1-api-reference/api/commerce/updatefeature","metadata":{"seo":{"title":"Update a feature","description":"Updates an existing catalog feature. Use this operation to change fields such as name,description, values, and tags. Omit tags to preserve existing tags. Send clear_tags: trueto remove all tags."}},"httpPath":"/commerce/features"},{"label":"Search features","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/searchfeatures","routeSlug":"/v1-api-reference/api/commerce/searchfeatures","metadata":{"seo":{"title":"Search features","description":"Searches catalog features. Use filters to match fields such as feature_type or feature_tag,or send filter.feature_tag. Soft-deleted features are excluded from the results."}},"httpPath":"/commerce/features/search"},{"label":"Retrieve a feature","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/getfeature","routeSlug":"/v1-api-reference/api/commerce/getfeature","metadata":{"seo":{"title":"Retrieve a feature","description":"Retrieves a catalog feature by its unique identifier."}},"httpPath":"/commerce/features/{id}"},{"label":"Delete a feature","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/deletefeature","routeSlug":"/v1-api-reference/api/commerce/deletefeature","metadata":{"seo":{"title":"Delete a feature","description":"Deletes a catalog feature by its unique identifier."}},"httpPath":"/commerce/features/{id}"},{"label":"Create a product rate plan charge with Dynamic Pricing","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/createproductrateplanchargewithdynamicpricing","routeSlug":"/v1-api-reference/api/commerce/createproductrateplanchargewithdynamicpricing","metadata":{"seo":{"title":"Create a product rate plan charge with Dynamic Pricing","description":"Create a product rate plan charge (PRPC) in the Product Catalog. Use this endpoint to configure Dynamic Pricing, including default pricing at the charge level and conditional rate cards evaluated by attribute values."}},"httpPath":"/commerce/charges"},{"label":"Update a product rate plan charge with Dynamic Pricing","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/updateproductrateplanchargewithdynamicpricing","routeSlug":"/v1-api-reference/api/commerce/updateproductrateplanchargewithdynamicpricing","metadata":{"seo":{"title":"Update a product rate plan charge with Dynamic Pricing","description":"Update an existing product rate plan charge (PRPC). Use this API to update default pricing and/or conditional rate cards."}},"httpPath":"/commerce/charges"},{"label":"Query a product rate plan charge with Dynamic Pricing","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/queryproductrateplanchargewithdynamicpricing","routeSlug":"/v1-api-reference/api/commerce/queryproductrateplanchargewithdynamicpricing","metadata":{"seo":{"title":"Query a product rate plan charge with Dynamic Pricing","description":"Returns a product rate plan charge (PRPC) by evaluating Dynamic Pricing against the provided attribute values. If a matching rate-card row is found, its pricing is returned; otherwise, the default charge-level pricing is used (if defined). This operation can be used to simulate pricing resolution without creating or updating the charge."}},"httpPath":"/commerce/charges/query"},{"label":"Create a product with plans and charges","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/createproduct","routeSlug":"/v1-api-reference/api/commerce/createproduct","metadata":{"seo":{"title":"Create a product with plans and charges","description":"Create a product in the Product Catalog with one or more plans and charges. Charges can be usage (per-unit), recurring (flat fee), or other supported models."}},"httpPath":"/commerce/products"},{"label":"Update a product","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/updateproduct","routeSlug":"/v1-api-reference/api/commerce/updateproduct","metadata":{"seo":{"title":"Update a product","description":"Updates an existing product in the Product Catalog. Use this API to update core product fields such as name, description, category, effective dates, and custom fields."}},"httpPath":"/commerce/products"},{"label":"Create a product rate plan","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/createplan","routeSlug":"/v1-api-reference/api/commerce/createplan","metadata":{"seo":{"title":"Create a product rate plan","description":"Create a product rate plan (Plan) under an existing product.A plan includes one or more charges. Each charge must include:"}},"httpPath":"/commerce/plans"},{"label":"Update a product rate plan","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/updateproductrateplan","routeSlug":"/v1-api-reference/api/commerce/updateproductrateplan","metadata":{"seo":{"title":"Update a product rate plan","description":"Updates an existing Product Rate Plan (PRP) in the Product Catalog. Use this API to update core plan fields such as name, description, grade, and effective dates."}},"httpPath":"/commerce/plans"},{"label":"Query product rate plan details","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/querycommerceproductrateplans","routeSlug":"/v1-api-reference/api/commerce/querycommerceproductrateplans","metadata":{"seo":{"title":"Query product rate plan details","description":"Retrieve details of a single product rate plan (PRP) from the Product Catalog. You can expand associated product rate plan charges for each plan.This operation is a strict lookup and requires product_rate_plan_key. It does not support attributes or other list-style filters.To browse or filter plans (including by attributes), use  the \"Query product rate plans\" operation (POST /commerce/plans/list)."}},"httpPath":"/commerce/plans/query"},{"label":"Query product rate plans","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/querycommerceplanslist","routeSlug":"/v1-api-reference/api/commerce/querycommerceplanslist","metadata":{"seo":{"title":"Query product rate plans","description":"Queries product rate plans (PRPs) from the Product Catalog using filters such as plan ID, name, or product ID. You can optionally expand related Product Rate Plan Charges (PRPCs) in the response."}},"httpPath":"/commerce/plans/list"},{"label":"Create an entitlement definition","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/createentitlementdefinition","routeSlug":"/v1-api-reference/api/commerce/createentitlementdefinition","metadata":{"seo":{"title":"Create an entitlement definition","description":"Creates a catalog entitlement definition on a plan. The definition associates a productfeature with the plan. Include featureNumber or feature_number. Numbered features caninclude quantity or limitValue. Enum features can include values."}},"httpPath":"/commerce/plans/{id}/entitlements"},{"label":"Update an entitlement definition","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/updateentitlementdefinition","routeSlug":"/v1-api-reference/api/commerce/updateentitlementdefinition","metadata":{"seo":{"title":"Update an entitlement definition","description":"Updates a catalog entitlement definition. Use this operation to link the definition to a charge, set boolean values, or change enforcement settings."}},"httpPath":"/commerce/plans/entitlements"},{"label":"Retrieve an entitlement definition","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/getentitlementdefinition","routeSlug":"/v1-api-reference/api/commerce/getentitlementdefinition","metadata":{"seo":{"title":"Retrieve an entitlement definition","description":"Retrieves a catalog entitlement definition by its unique identifier or entitlement number."}},"httpPath":"/commerce/plans/entitlements/{id}"},{"label":"Retrieve a product by key","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/getproductbykey","routeSlug":"/v1-api-reference/api/commerce/getproductbykey","metadata":{"seo":{"title":"Retrieve a product by key","description":"Retrieves detailed information about a specific product by its unique product number or ID. You can optionally specify related objects to expand in the request body."}},"httpPath":"/commerce/products/{product_key}"},{"label":"Add a feature to a product","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/addproductfeature","routeSlug":"/v1-api-reference/api/commerce/addproductfeature","metadata":{"seo":{"title":"Add a feature to a product","description":"Links a catalog feature to a product. Include feature_number or featureNumber.After a feature is linked to a product, you can create an entitlement definition on a planthat belongs to that product."}},"httpPath":"/commerce/products/{id}/features/add"},{"label":"Query legacy products from the Product Catalog","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/querylegacyproducts","routeSlug":"/v1-api-reference/api/commerce/querylegacyproducts","metadata":{"seo":{"title":"Query legacy products from the Product Catalog","description":"This operation is functionally equivalent to the \"Query products from the Product Catalog\" operation, except that it returns resultsin the V1 response format. It is primarily intended for customers migrating from older V1 integrationswho want to use new Commerce capabilities — such as Dynamic Pricing—without refactoring their existing integrations."}},"httpPath":"/commerce/legacy/products/list"},{"label":"Update a product rate plan charge tier","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/updatetier","routeSlug":"/v1-api-reference/api/commerce/updatetier","metadata":{"seo":{"title":"Update a product rate plan charge tier","description":"Updates the price and other editable attributes, when supported, for a specific Product Rate Plan Charge Tier."}},"httpPath":"/commerce/tiers"},{"label":"Query purchase options by PRP ID","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/querypurchaseoptionsbyprpid","routeSlug":"/v1-api-reference/api/commerce/querypurchaseoptionsbyprpid","metadata":{"seo":{"title":"Query purchase options by PRP ID","description":"Retrieves one or more product rate plans (PRPs) from the Product Catalog based on specified filters such as product ID or PRP ID. You can optionally expand related product rate plan charges (PRPCs) in the response."}},"httpPath":"/commerce/purchase-options/list"},{"label":"List entitlement audit events","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/getentitlementauditevents","routeSlug":"/v1-api-reference/api/commerce/getentitlementauditevents","metadata":{"seo":{"title":"List entitlement audit events","description":"Lists entitlement audit events. Filter results by account, feature, grant, subscription, event type, and date."}},"httpPath":"/commerce/entitlements/audit-events"},{"label":"Authorize entitlement consumption","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/authorizeentitlementconsumption","routeSlug":"/v1-api-reference/api/commerce/authorizeentitlementconsumption","metadata":{"seo":{"title":"Authorize entitlement consumption","description":"Authorizes consumption against a numbered metered feature and deducts requestedQuantityfrom the remaining entitlement balance when the request is allowed."}},"httpPath":"/commerce/entitlements/authorize"},{"label":"Check entitlements by tag","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/validateentitlementsbytag","routeSlug":"/v1-api-reference/api/commerce/validateentitlementsbytag","metadata":{"seo":{"title":"Check entitlements by tag","description":"Checks whether an account has access to features that match featureTag, or to thefeatures in featureKeys. Do not send featureTag and featureKey in the same request."}},"httpPath":"/commerce/entitlements/bulk-challenge"},{"label":"Check multiple entitlements","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/validateentitlementfeatures","routeSlug":"/v1-api-reference/api/commerce/validateentitlementfeatures","metadata":{"seo":{"title":"Check multiple entitlements","description":"Checks whether an account has access to multiple features in one request. IncluderequestedQuantity when evaluating numbered metered features."}},"httpPath":"/commerce/entitlements/bulk-check"},{"label":"Create entitlement grants in bulk","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/bulkgrantentitlements","routeSlug":"/v1-api-reference/api/commerce/bulkgrantentitlements","metadata":{"seo":{"title":"Create entitlement grants in bulk","description":"Creates runtime entitlement grants for multiple accounts or subscriptions in a singlecall. Each item uses the same shape as POST /commerce/entitlements/grant, but thisoperation reports each item's outcome independently instead of failing the whole batchon the first bad item."}},"httpPath":"/commerce/entitlements/bulk-grant"},{"label":"Revoke entitlement grants","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/bulkrevokeentitlements","routeSlug":"/v1-api-reference/api/commerce/bulkrevokeentitlements","metadata":{"seo":{"title":"Revoke entitlement grants","description":"Revokes one or more runtime entitlement grants. Include revokedDate when the revocationshould take effect on a specific date."}},"httpPath":"/commerce/entitlements/bulk-revoke"},{"label":"Check entitlement access","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/validateentitlementaccess","routeSlug":"/v1-api-reference/api/commerce/validateentitlementaccess","metadata":{"seo":{"title":"Check entitlement access","description":"Checks whether an account has access to a feature. For numbered metered features, includerequestedQuantity. For enum features, include enumValues."}},"httpPath":"/commerce/entitlements/challenge"},{"label":"Create entitlement grants","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/createentitlementgrants","routeSlug":"/v1-api-reference/api/commerce/createentitlementgrants","metadata":{"seo":{"title":"Create entitlement grants","description":"Creates one or more runtime entitlement grants. Use this operation to issue a manual grant for an account, independently of a catalog entitlement definition on a plan."}},"httpPath":"/commerce/entitlements/grant"},{"label":"List entitlement grants","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/getentitlementgrants","routeSlug":"/v1-api-reference/api/commerce/getentitlementgrants","metadata":{"seo":{"title":"List entitlement grants","description":"Lists runtime entitlement grants. Filter results by account, subscription, feature, state, or charge source."}},"httpPath":"/commerce/entitlements/grants"},{"label":"Retrieve an entitlement grant","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/getentitlementgrant","routeSlug":"/v1-api-reference/api/commerce/getentitlementgrant","metadata":{"seo":{"title":"Retrieve an entitlement grant","description":"Retrieves one runtime entitlement grant by its entitlement key."}},"httpPath":"/commerce/entitlements/grants/{entitlementKey}"},{"label":"Update an entitlement grant","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/updateentitlementgrant","routeSlug":"/v1-api-reference/api/commerce/updateentitlementgrant","metadata":{"seo":{"title":"Update an entitlement grant","description":"Updates the dates or quantity of a runtime entitlement grant. Use redate withstartDate and/or endDate to change the grant term, or increment and decrementwith delta to change the granted quantity. Billable grants may return status: queuedwith an orderIntentId."}},"httpPath":"/commerce/entitlements/{entitlementKey}/modify"},{"label":"Update entitlement grant state","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commerce/updateentitlementgrantstate","routeSlug":"/v1-api-reference/api/commerce/updateentitlementgrantstate","metadata":{"seo":{"title":"Update entitlement grant state","description":"Updates the state of a runtime entitlement grant. Supported action values are pause,resume, activate, deactivate, and revoke."}},"httpPath":"/commerce/entitlements/{entitlementKey}/state"}]},{"type":"separator","label":"Customer Accounts"},{"type":"group","label":"Accounts","link":"/v1-api-reference/api/accounts","routeSlug":"/v1-api-reference/api/accounts","items":[{"label":"Create an account","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/accounts/post_account","routeSlug":"/v1-api-reference/api/accounts/post_account","metadata":{"seo":{"title":"Create an account","description":"Creates a customer account with a payment method, a bill-to contact,and optional sold-to and ship-to contacts. Request and response field descriptions and sample code are provided. Use this operation to optionally create a subscription,invoice for that subscription, and collect payment through the default payment method. The transaction is atomic; if any part fails for any reason, the entiretransaction is rolled back."}},"httpPath":"/v1/accounts"},{"label":"Delete an account","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/accounts/delete_account","routeSlug":"/v1-api-reference/api/accounts/delete_account","metadata":{"seo":{"title":"Delete an account","description":"Deletes a specific account asynchronously."}},"httpPath":"/v1/accounts/{account-key}"},{"label":"Retrieve an account","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/accounts/get_account","routeSlug":"/v1-api-reference/api/accounts/get_account","metadata":{"seo":{"title":"Retrieve an account","description":"Retrieves basic information about a customer account."}},"httpPath":"/v1/accounts/{account-key}"},{"label":"Update an account","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/accounts/put_account","routeSlug":"/v1-api-reference/api/accounts/put_account","metadata":{"seo":{"title":"Update an account","description":"Updates a customer account by specifying the account-key."}},"httpPath":"/v1/accounts/{account-key}"},{"label":"List payment methods of an account","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/accounts/get_acountpaymentmethods","routeSlug":"/v1-api-reference/api/accounts/get_acountpaymentmethods","metadata":{"seo":{"title":"List payment methods of an account","description":"Retrieves the payment methods of the specified customer account."}},"httpPath":"/v1/accounts/{account-key}/payment-methods"},{"label":"Retrieve configuration of cascading payment methods for an account","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/accounts/getaccountpaymentmethodcascading","routeSlug":"/v1-api-reference/api/accounts/getaccountpaymentmethodcascading","metadata":{"seo":{"title":"Retrieve configuration of cascading payment methods for an account","description":"Zuora provides the Cascading Payment Method feature to dynamically retry the failed payment with alternative payment methods according to a predefined priority list. Use this API operation to retrieve the configuration information for Cascading Payment Method of a specified account, including the cascading consent value and the priority list of payment methods."}},"httpPath":"/v1/accounts/{account-key}/payment-methods/cascading"},{"label":"Configure cascading payment methods for an account","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/accounts/putaccountpaymentmethodcascading","routeSlug":"/v1-api-reference/api/accounts/putaccountpaymentmethodcascading","metadata":{"seo":{"title":"Configure cascading payment methods for an account","description":"Zuora provides the Cascading Payment Method feature to dynamically retry the failed payment with alternative payment methods according to a predefined priority list. Use this API operation to configure the cascading consent for a specified account and set up the priority list of payment methods to be used in Cascading Payment Method."}},"httpPath":"/v1/accounts/{account-key}/payment-methods/cascading"},{"label":"Retrieve the default payment method of an account","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/accounts/get_acountdefaultpaymentmethod","routeSlug":"/v1-api-reference/api/accounts/get_acountdefaultpaymentmethod","metadata":{"seo":{"title":"Retrieve the default payment method of an account","description":"Retrieves the default payment method of the specified customer account."}},"httpPath":"/v1/accounts/{account-key}/payment-methods/default"},{"label":"Retrieve an account summary","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/accounts/get_accountsummary","routeSlug":"/v1-api-reference/api/accounts/get_accountsummary","metadata":{"seo":{"title":"Retrieve an account summary","description":"Retrieves detailed information about the specified customer account."}},"httpPath":"/v1/accounts/{account-key}/summary"}]},{"type":"group","label":"Contacts","link":"/v1-api-reference/api/contacts","routeSlug":"/v1-api-reference/api/contacts","items":[{"label":"Create a contact","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/contacts/post_createcontact","routeSlug":"/v1-api-reference/api/contacts/post_createcontact","metadata":{"seo":{"title":"Create a contact","description":"Creates a contact for a specified account. Each account must have at least one contact before it can be saved. You can add a maximum of 2000 contacts to an account."}},"httpPath":"/v1/contacts"},{"label":"Delete a contact","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/contacts/delete_contact","routeSlug":"/v1-api-reference/api/contacts/delete_contact","metadata":{"seo":{"title":"Delete a contact","description":"Deletes a contact."}},"httpPath":"/v1/contacts/{contactId}"},{"label":"Retrieve a contact","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/contacts/get_contact","routeSlug":"/v1-api-reference/api/contacts/get_contact","metadata":{"seo":{"title":"Retrieve a contact","description":"Retrieves detailed information about a specific contact."}},"httpPath":"/v1/contacts/{contactId}"},{"label":"Update a contact","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/contacts/put_contact","routeSlug":"/v1-api-reference/api/contacts/put_contact","metadata":{"seo":{"title":"Update a contact","description":"Updates a contact for a specified account."}},"httpPath":"/v1/contacts/{contactId}"},{"label":"Transfer a contact","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/contacts/transfercontent","routeSlug":"/v1-api-reference/api/contacts/transfercontent","metadata":{"seo":{"title":"Transfer a contact","description":"This operation transfers contacts of the accounts within the Customer Hierarchy when removing the account."}},"httpPath":"/v1/contacts/{contactId}/transfer"},{"label":"Scrub a contact","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/contacts/put_scrubcontact","routeSlug":"/v1-api-reference/api/contacts/put_scrubcontact","metadata":{"seo":{"title":"Scrub a contact","description":"Scrubs the sensitive data of a specific contact."}},"httpPath":"/v1/contacts/{contactId}/scrub"}]},{"type":"group","label":"Contact Snapshots","link":"/v1-api-reference/api/contact-snapshots","routeSlug":"/v1-api-reference/api/contact-snapshots","items":[{"label":"Retrieve a contact snapshot","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/contact-snapshots/get_contactsnapshot","routeSlug":"/v1-api-reference/api/contact-snapshots/get_contactsnapshot","metadata":{"seo":{"title":"Retrieve a contact snapshot","description":"Retrieves detailed information about the snapshot of a contact, either a bill-to contact or sold-to contact."}},"httpPath":"/v1/contact-snapshots/{contact-snapshot-id}"}]},{"type":"separator","label":"Orders and Subscriptions"},{"type":"group","label":"Sign Up","link":"/v1-api-reference/api/sign-up","routeSlug":"/v1-api-reference/api/sign-up","items":[{"label":"Sign up","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/sign-up/post_signup","routeSlug":"/v1-api-reference/api/sign-up/post_signup","metadata":{"seo":{"title":"Sign up","description":"This call performs many actions. You can use this operation to implementthe standard requirements for signing up a customer, such as validating theuniqueness of an account and limiting the number of subscriptions per account.Also, you can use this operation to create a subscription, generate an invoice,and collect payment for a new or existing customer."}},"httpPath":"/v1/sign-up"}]},{"type":"group","label":"Orders","link":"/v1-api-reference/api/orders","routeSlug":"/v1-api-reference/api/orders","items":[{"label":"Preview an order","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/post_previeworder","routeSlug":"/v1-api-reference/api/orders/post_previeworder","metadata":{"seo":{"title":"Preview an order","description":"Notes:"}},"httpPath":"/v1/orders/preview"},{"label":"Preview an order asynchronously","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/post_previeworderasynchronously","routeSlug":"/v1-api-reference/api/orders/post_previeworderasynchronously","metadata":{"seo":{"title":"Preview an order asynchronously","description":"Notes:"}},"httpPath":"/v1/async/orders/preview"},{"label":"List orders","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/get_allorders","routeSlug":"/v1-api-reference/api/orders/get_allorders","metadata":{"seo":{"title":"List orders","description":"Note: This feature is only available if you have the Order Metrics feature enabled. As of Zuora Billing Release 284, Orders is generally available and the Order Metrics feature is no longer available as a standalone feature. If you are an existing Subscribe and Amend customer and want Order Metrics only, you must turn on Orders Harmonization. You can still keep the existing Subscribe and Amend API integrations to create and manage subscriptions."}},"httpPath":"/v1/orders"},{"label":"Create an order","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/post_order","routeSlug":"/v1-api-reference/api/orders/post_order","metadata":{"seo":{"title":"Create an order","description":"Note: This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the Orders feature. With Orders, you can access both existing functions for subscription and billing management and the  new features on Zuora Billing."}},"httpPath":"/v1/orders"},{"label":"Create an order asynchronously","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/post_createorderasynchronously","routeSlug":"/v1-api-reference/api/orders/post_createorderasynchronously","metadata":{"seo":{"title":"Create an order asynchronously","description":"Note: This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the Orders feature. With Orders, you can access both existing functions for subscription and billing management and the new features on Zuora Billing."}},"httpPath":"/v1/async/orders"},{"label":"Delete an order","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/delete_order","routeSlug":"/v1-api-reference/api/orders/delete_order","metadata":{"seo":{"title":"Delete an order","description":"Note: This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the Orders feature. With Orders, you can access both existing functions for subscription and billing management and the new features on Zuora Billing."}},"httpPath":"/v1/orders/{orderNumber}"},{"label":"Retrieve an order","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/get_order","routeSlug":"/v1-api-reference/api/orders/get_order","metadata":{"seo":{"title":"Retrieve an order","description":"Note: This feature is only available if you have the Order Metrics feature enabled. As of Zuora Billing Release 284, Orders is generally available and the Order Metrics feature is no longer available as a standalone feature. If you are an existing Subscribe and Amend customer and want Order Metrics only, you must turn on Orders Harmonization. You can still keep the existing Subscribe and Amend API integrations to create and manage subscriptions."}},"httpPath":"/v1/orders/{orderNumber}"},{"label":"Update an order","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/put_order","routeSlug":"/v1-api-reference/api/orders/put_order","metadata":{"seo":{"title":"Update an order","description":"Notes:"}},"httpPath":"/v1/orders/{orderNumber}"},{"label":"Delete an order asynchronously","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/deleteorderasynchronously","routeSlug":"/v1-api-reference/api/orders/deleteorderasynchronously","metadata":{"seo":{"title":"Delete an order asynchronously","description":"Note: This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enableOrders Harmonization to access the Orders feature. With Orders, you can access both existingfunctions for subscription and billing management and the new features on Zuora Billing.Note: The Order Line Itemsfeature is now generally available to all Zuora customers. You need to enablethe Ordersfeature to access the Order Line Itemsfeature. As of Zuora Billing Release 313 (November 2021), new customers whoonboard on Orderswill have the Order Line Items feature enabled by default.Deletes a specified order.All the subscriptions changed by this order are deleted. After the deletion, the subscriptions are rolled back to the previous version.All the order line items created in this order are deleted.You are not allowed to delete an order if the charges that are affected by this order are invoiced."}},"httpPath":"/v1/async/orders/{orderNumber}"},{"label":"Retrieve the status and response of a job","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/get_jobstatusandresponse","routeSlug":"/v1-api-reference/api/orders/get_jobstatusandresponse","metadata":{"seo":{"title":"Retrieve the status and response of a job","description":"Note: This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the Orders feature. With Orders, you can access both existing functions for subscription and billing management and the new features on Zuora Billing."}},"httpPath":"/v1/async-jobs/{jobId}"},{"label":"List orders of a subscription owner","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/get_ordersbysubscriptionowner","routeSlug":"/v1-api-reference/api/orders/get_ordersbysubscriptionowner","metadata":{"seo":{"title":"List orders of a subscription owner","description":"Note: This feature is only available if you have the Order Metrics feature enabled. As of Zuora Billing Release 284, Orders is generally available and the Order Metrics feature is no longer available as a standalone feature. If you are an existing Subscribe and Amend customer and want Order Metrics only, you must turn on Orders Harmonization. You can still keep the existing Subscribe and Amend API integrations to create and manage subscriptions."}},"httpPath":"/v1/orders/subscriptionOwner/{accountNumber}"},{"label":"List orders by subscription number","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/get_ordersbysubscriptionnumber","routeSlug":"/v1-api-reference/api/orders/get_ordersbysubscriptionnumber","metadata":{"seo":{"title":"List orders by subscription number","description":"Note: This feature is only available if you have the Order Metrics feature enabled. As of Zuora Billing Release 284, Orders is generally available and the Order Metrics feature is no longer available as a standalone feature. If you are an existing Subscribe and Amend customer and want Order Metrics only, you must turn on Orders Harmonization. You can still keep the existing Subscribe and Amend API integrations to create and manage subscriptions."}},"httpPath":"/v1/orders/subscription/{subscriptionNumber}"},{"label":"List orders of an invoice owner","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/get_ordersbyinvoiceowner","routeSlug":"/v1-api-reference/api/orders/get_ordersbyinvoiceowner","metadata":{"seo":{"title":"List orders of an invoice owner","description":"Note: This feature is only available if you have the Order Metrics feature enabled. As of Zuora Billing Release 284, Orders is generally available and the Order Metrics feature is no longer available as a standalone feature. If you are an existing Subscribe and Amend customer and want Order Metrics only, you must turn on Orders Harmonization. You can still keep the existing Subscribe and Amend API integrations to create and manage subscriptions."}},"httpPath":"/v1/orders/invoiceOwner/{accountNumber}"},{"label":"Update order custom fields","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/put_updateordercustomfields","routeSlug":"/v1-api-reference/api/orders/put_updateordercustomfields","metadata":{"seo":{"title":"Update order custom fields","description":"Note: This feature is only available if you have the Order Metrics feature enabled. As of Zuora Billing Release 284, Orders is generally available and the Order Metrics feature is no longer available as a standalone feature. If you are an existing Subscribe and Amend customer and want Order Metrics only, you must turn on Orders Harmonization. You can still keep the existing Subscribe and Amend API integrations to create and manage subscriptions."}},"httpPath":"/v1/orders/{orderNumber}/customFields"},{"label":"Update subscription custom fields","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/put_updatesubscriptioncustomfields","routeSlug":"/v1-api-reference/api/orders/put_updatesubscriptioncustomfields","metadata":{"seo":{"title":"Update subscription custom fields","description":"Note: This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the Orders feature. With Orders, you can access both existing functions for subscription and billing management and the new features on Zuora Billing."}},"httpPath":"/v1/subscriptions/{subscriptionNumber}/customFields"},{"label":"Update order action trigger dates","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/put_ordertriggerdates","routeSlug":"/v1-api-reference/api/orders/put_ordertriggerdates","metadata":{"seo":{"title":"Update order action trigger dates","description":"Note: This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the Orders feature. With Orders, you can access both existing functions for subscription and billing management and the new features on Zuora Billing."}},"httpPath":"/v1/orders/{orderNumber}/triggerDates"},{"label":"Activate an order","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/put_orderactivate","routeSlug":"/v1-api-reference/api/orders/put_orderactivate","metadata":{"seo":{"title":"Activate an order","description":"Note: This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the Orders feature. With Orders, you can access both existing functions for subscription and billing management and the new features on Zuora Billing."}},"httpPath":"/v1/orders/{orderNumber}/activate"},{"label":"Cancel an order","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/put_ordercancel","routeSlug":"/v1-api-reference/api/orders/put_ordercancel","metadata":{"seo":{"title":"Cancel an order","description":"Note: This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the Orders feature. With Orders, you can access both existing functions for subscription and billing management and the new features on Zuora Billing."}},"httpPath":"/v1/orders/{orderNumber}/cancel"},{"label":"Rescan a commitment's account associations","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/rescancommitmentaccountassociations","routeSlug":"/v1-api-reference/api/orders/rescancommitmentaccountassociations","metadata":{"seo":{"title":"Rescan a commitment's account associations","description":"Re-evaluates a commitment's account eligibility condition against current account data and activates (inserts or reactivates) any newly-eligible accounts."}},"httpPath":"/v1/orders/commitments/{commitmentNumber}/associations/rescan"},{"label":"Retrieve the order delta metrics of an order","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/getorderdeltametricsbyordernumber","routeSlug":"/v1-api-reference/api/orders/getorderdeltametricsbyordernumber","metadata":{"seo":{"title":"Retrieve the order delta metrics of an order","description":"Note: This operation is only available if you have the OrderDelta Metricsfeature enabled. The Ordersfeature must be enabled before you can access Order Delta Metrics."}},"httpPath":"/v1/orders/deltaMetrics/{orderNumber}"},{"label":"List pending orders by subscription number","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/orders/get_pendingordersbysubscriptionnumber","routeSlug":"/v1-api-reference/api/orders/get_pendingordersbysubscriptionnumber","metadata":{"seo":{"title":"List pending orders by subscription number","description":"Note: This feature is only available if you have the Order Metrics feature enabled. As of Zuora Billing Release 284, Orders is generally available and the Order Metrics feature is no longer available as a standalone feature. If you are an existing Subscribe and Amend customer and want Order Metrics only, you must turn on Orders Harmonization. You can still keep the existing Subscribe and Amend API integrations to create and manage subscriptions."}},"httpPath":"/v1/orders/subscription/{subscription-key}/pending"}]},{"type":"group","label":"Order Actions","link":"/v1-api-reference/api/order-actions","routeSlug":"/v1-api-reference/api/order-actions","items":[{"label":"Update an order action","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/order-actions/put_orderactions","routeSlug":"/v1-api-reference/api/order-actions/put_orderactions","metadata":{"seo":{"title":"Update an order action","description":"Updates the change reason and custom fields for an order action."}},"httpPath":"/v1/orderActions/{id}"}]},{"type":"group","label":"Order Line Items","link":"/v1-api-reference/api/order-line-items","routeSlug":"/v1-api-reference/api/order-line-items","items":[{"label":"Retrieve an order line item","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/order-line-items/get_orderlineitem","routeSlug":"/v1-api-reference/api/order-line-items/get_orderlineitem","metadata":{"seo":{"title":"Retrieve an order line item","description":"Note: The Order Line Itemsfeature is now generally available to all Zuora customers. If you already have access to the Orders feature, you automatically have access to Order Line Items as well. As of Zuora Billing Release 313 (November 2021), new customers who onboard on Orders will have the Order Line Items feature enabled by default."}},"httpPath":"/v1/order-line-items/{itemId}"},{"label":"Update an order line item","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/order-line-items/put_orderlineitem","routeSlug":"/v1-api-reference/api/order-line-items/put_orderlineitem","metadata":{"seo":{"title":"Update an order line item","description":"Note: The Order Line Itemsfeature is now generally available to all Zuora customers. If you already have access to the Orders feature, you automatically have access to Order Line Items as well. As of Zuora Billing Release 313 (November 2021), new customers who onboard on Orders will have the Order Line Items feature enabled by default."}},"httpPath":"/v1/order-line-items/{itemId}"},{"label":"Update order line items","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/order-line-items/post_orderlineitems","routeSlug":"/v1-api-reference/api/order-line-items/post_orderlineitems","metadata":{"seo":{"title":"Update order line items","description":"Note: The Order Line Items feature is now generally available to all Zuora customers. If you already have access to the Orders feature, you automatically have access to Order Line Items as well. As of Zuora Billing Release 313 (November 2021), new customers who onboard on Orders will have the Order Line Items feature enabled by default."}},"httpPath":"/v1/order-line-items/bulk"}]},{"type":"group","label":"Fulfillments","link":"/v1-api-reference/api/fulfillments","routeSlug":"/v1-api-reference/api/fulfillments","items":[{"label":"Create fulfillments","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/fulfillments/create_fulfillment","routeSlug":"/v1-api-reference/api/fulfillments/create_fulfillment","metadata":{"seo":{"title":"Create fulfillments","description":"Creates one or multiple Fulfillment objects. You can also generate invoices or memos for these Fulfillment objects in this API call. The following tutorials demonstrate how to use this operation:"}},"httpPath":"/v1/fulfillments"},{"label":"Delete a fulfillment","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/fulfillments/delete_fulfillment","routeSlug":"/v1-api-reference/api/fulfillments/delete_fulfillment","metadata":{"seo":{"title":"Delete a fulfillment","description":"Deletes a specified fulfillment. A fulfillment can only be deleted when it is in the Executing state."}},"httpPath":"/v1/fulfillments/{key}"},{"label":"Retrieve a fulfillment","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/fulfillments/get_fulfillment","routeSlug":"/v1-api-reference/api/fulfillments/get_fulfillment","metadata":{"seo":{"title":"Retrieve a fulfillment","description":"Retrieves the detailed information about a specified fulfillment. The following tutorial demonstrates how to use this operation:"}},"httpPath":"/v1/fulfillments/{key}"},{"label":"Update a fulfillment","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/fulfillments/put_fulfillment","routeSlug":"/v1-api-reference/api/fulfillments/put_fulfillment","metadata":{"seo":{"title":"Update a fulfillment","description":"Updates a specified fulfillment. The state field of a fulfillment can only be updated when it is in a different state, to trigger the state transition. The other fields of a fulfillment can only be updated when the fulfillment is in the Executing state, or when the fulfillment is in the Booked state and the user has the \"Allow Edit Of Booked Order Line Items\" permission.The following tutorial demonstrates how to use this operation:"}},"httpPath":"/v1/fulfillments/{key}"},{"label":"Create fulfillment items","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/fulfillments/create_fulfillmentitem","routeSlug":"/v1-api-reference/api/fulfillments/create_fulfillmentitem","metadata":{"seo":{"title":"Create fulfillment items","description":"Creates one or multiple fulfillment items."}},"httpPath":"/v1/fulfillment-items"},{"label":"Delete a fulfillment item","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/fulfillments/delete_fulfillmentitem","routeSlug":"/v1-api-reference/api/fulfillments/delete_fulfillmentitem","metadata":{"seo":{"title":"Delete a fulfillment item","description":"Deletes a specified fulfillment item."}},"httpPath":"/v1/fulfillment-items/{id}"},{"label":"Retrieve a fulfillment item","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/fulfillments/get_fulfillmentitem","routeSlug":"/v1-api-reference/api/fulfillments/get_fulfillmentitem","metadata":{"seo":{"title":"Retrieve a fulfillment item","description":"Retrieves the detailed information about a specified fulfillment item."}},"httpPath":"/v1/fulfillment-items/{id}"},{"label":"Update a fulfillment item","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/fulfillments/put_fulfillmentitem","routeSlug":"/v1-api-reference/api/fulfillments/put_fulfillmentitem","metadata":{"seo":{"title":"Update a fulfillment item","description":"Updates a specified fulfillment item."}},"httpPath":"/v1/fulfillment-items/{id}"}]},{"type":"group","label":"Ramps","link":"/v1-api-reference/api/ramps","routeSlug":"/v1-api-reference/api/ramps","items":[{"label":"Retrieve a ramp","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/ramps/get_rampbyrampnumber","routeSlug":"/v1-api-reference/api/ramps/get_rampbyrampnumber","metadata":{"seo":{"title":"Retrieve a ramp","description":"Note: This operation is only available if you have the Ramps feature enabled. The Orders feature must be enabled before you can access the Ramps feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information coming October 2020."}},"httpPath":"/v1/ramps/{rampNumber}"},{"label":"List all ramp metrics of a ramp","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/ramps/get_rampmetricsbyrampnumber","routeSlug":"/v1-api-reference/api/ramps/get_rampmetricsbyrampnumber","metadata":{"seo":{"title":"List all ramp metrics of a ramp","description":"Note: This operation is only available if you have the Ramps feature enabled. The Orders feature must be enabled before you can access the Ramps feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information coming October 2020."}},"httpPath":"/v1/ramps/{rampNumber}/ramp-metrics"},{"label":"Retrieve a ramp by subscription key","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/ramps/get_rampsbysubscriptionkey","routeSlug":"/v1-api-reference/api/ramps/get_rampsbysubscriptionkey","metadata":{"seo":{"title":"Retrieve a ramp by subscription key","description":"Note: This operation is only available if you have the Ramps feature enabled. The Orders feature must be enabled before you can access the Ramps feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information coming October 2020."}},"httpPath":"/v1/subscriptions/{subscriptionKey}/ramps"},{"label":"List ramp metrics by subscription key","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/ramps/get_rampmetricsbysubscriptionkey","routeSlug":"/v1-api-reference/api/ramps/get_rampmetricsbysubscriptionkey","metadata":{"seo":{"title":"List ramp metrics by subscription key","description":"Note: This operation is only available if you have the Ramps feature enabled. The Orders feature must be enabled before you can access the Ramps feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information coming October 2020."}},"httpPath":"/v1/subscriptions/{subscriptionKey}/ramp-metrics"},{"label":"List ramp metrics by order number","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/ramps/get_rampmetricsbyordernumber","routeSlug":"/v1-api-reference/api/ramps/get_rampmetricsbyordernumber","metadata":{"seo":{"title":"List ramp metrics by order number","description":"Note: This operation is only available if you have the Ramps feature enabled. The Orders feature must be enabled before you can access the Ramps feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information coming October 2020."}},"httpPath":"/v1/orders/{orderNumber}/ramp-metrics"}]},{"type":"group","label":"Subscriptions","link":"/v1-api-reference/api/subscriptions","routeSlug":"/v1-api-reference/api/subscriptions","items":[{"label":"Preview a subscription","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/post_previewsubscription","routeSlug":"/v1-api-reference/api/subscriptions/post_previewsubscription","metadata":{"seo":{"title":"Preview a subscription","description":"The REST API reference describes how to create a new subscription in preview mode. This call does not require a valid customer account. It can be used to show potential new customers a preview of a subscription with complete details and charges before creating an account, or to let existing customers preview a subscription with all charges before committing."}},"httpPath":"/v1/subscriptions/preview"},{"label":"Preview a subscription by subscription key","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/previewexistingsubscription","routeSlug":"/v1-api-reference/api/subscriptions/previewexistingsubscription","metadata":{"seo":{"title":"Preview a subscription by subscription key","description":"Describes how to preview an existing subscription to view information about existing and future invoices or credit memos."}},"httpPath":"/v1/subscriptions/{subscription-key}/preview"},{"label":"Create a subscription","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/post_subscription","routeSlug":"/v1-api-reference/api/subscriptions/post_subscription","metadata":{"seo":{"title":"Create a subscription","description":"This operation describes how to create a new subscription for an existing customer account."}},"httpPath":"/v1/subscriptions"},{"label":"List subscriptions by account key","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/get_subscriptionsbyaccount","routeSlug":"/v1-api-reference/api/subscriptions/get_subscriptionsbyaccount","metadata":{"seo":{"title":"List subscriptions by account key","description":"Retrieves all subscriptions associated with the specified account. Zuora only returns the latest version of the subscriptions."}},"httpPath":"/v1/subscriptions/accounts/{account-key}"},{"label":"Retrieve a subscription by key","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/get_subscriptionsbykey","routeSlug":"/v1-api-reference/api/subscriptions/get_subscriptionsbykey","metadata":{"seo":{"title":"Retrieve a subscription by key","description":"This REST API reference describes how to retrieve detailed information about a specified subscription in the latest version."}},"httpPath":"/v1/subscriptions/{subscription-key}"},{"label":"Update a subscription","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/put_subscription","routeSlug":"/v1-api-reference/api/subscriptions/put_subscription","metadata":{"seo":{"title":"Update a subscription","description":"Use this call to make the following kinds of changes to a subscription:"}},"httpPath":"/v1/subscriptions/{subscription-key}"},{"label":"Retrieve a subscription by key and version","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/get_subscriptionsbykeyandversion","routeSlug":"/v1-api-reference/api/subscriptions/get_subscriptionsbykeyandversion","metadata":{"seo":{"title":"Retrieve a subscription by key and version","description":"This REST API reference describes how to retrieve detailed information about a specified subscription in a specified version. When you create a subscription amendment, you create a new version of the subscription. You can use this method to retrieve information about a subscription in any version."}},"httpPath":"/v1/subscriptions/{subscription-key}/versions/{version}"},{"label":"Renew a subscription","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/put_renewsubscription","routeSlug":"/v1-api-reference/api/subscriptions/put_renewsubscription","metadata":{"seo":{"title":"Renew a subscription","description":"Renews a termed subscription using existing renewal terms. When you renew a subscription, the current subscription term is extended by creating a new term.  If any charge in your subscription has the billing period set as SubscriptionTerm, a new charge segment is generated for the new term."}},"httpPath":"/v1/subscriptions/{subscription-key}/renew"},{"label":"Cancel a subscription","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/put_cancelsubscription","routeSlug":"/v1-api-reference/api/subscriptions/put_cancelsubscription","metadata":{"seo":{"title":"Cancel a subscription","description":"This REST API reference describes how to cancel an active subscription."}},"httpPath":"/v1/subscriptions/{subscription-key}/cancel"},{"label":"Resume a subscription","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/put_resumesubscription","routeSlug":"/v1-api-reference/api/subscriptions/put_resumesubscription","metadata":{"seo":{"title":"Resume a subscription","description":"This REST API reference describes how to resume a suspended subscription."}},"httpPath":"/v1/subscriptions/{subscription-key}/resume"},{"label":"Suspend a subscription","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/put_suspendsubscription","routeSlug":"/v1-api-reference/api/subscriptions/put_suspendsubscription","metadata":{"seo":{"title":"Suspend a subscription","description":"This REST API reference describes how to suspend an active subscription."}},"httpPath":"/v1/subscriptions/{subscription-key}/suspend"},{"label":"Delete a subscription by number","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/put_deletesubscription","routeSlug":"/v1-api-reference/api/subscriptions/put_deletesubscription","metadata":{"seo":{"title":"Delete a subscription by number","description":"This REST API reference describes how to delete a subscription of the specified subscription number."}},"httpPath":"/v1/subscriptions/{subscription-key}/delete"},{"label":"Update subscription custom fields of a subscription version","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/put_updatesubscriptioncustomfieldsofaspecifiedversion","routeSlug":"/v1-api-reference/api/subscriptions/put_updatesubscriptioncustomfieldsofaspecifiedversion","metadata":{"seo":{"title":"Update subscription custom fields of a subscription version","description":"Updates the custom fields of a specified subscription version."}},"httpPath":"/v1/subscriptions/{subscriptionNumber}/versions/{version}/customFields"},{"label":"List subscription metrics by subscription numbers","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/subscriptions/getmetricsbysubscriptionnumbers","routeSlug":"/v1-api-reference/api/subscriptions/getmetricsbysubscriptionnumbers","metadata":{"seo":{"title":"List subscription metrics by subscription numbers","description":"Lists subscription metrics for the subscriptions that you specify by subscription numbers."}},"httpPath":"/v1/subscriptions/subscription-metrics"}]},{"type":"group","label":"Omnichannel Subscriptions","link":"/v1-api-reference/api/omnichannel-subscriptions","routeSlug":"/v1-api-reference/api/omnichannel-subscriptions","items":[{"label":"Create an omnichannel subscription","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/omnichannel-subscriptions/postomnichannelsubscription","routeSlug":"/v1-api-reference/api/omnichannel-subscriptions/postomnichannelsubscription","metadata":{"seo":{"title":"Create an omnichannel subscription","description":"Creates or updates an omnichannel subscription for a customer account."}},"httpPath":"/v1/omni-channel-subscriptions"},{"label":"Retrieve an omnichannel subscription","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/omnichannel-subscriptions/getomnichannelsubscription","routeSlug":"/v1-api-reference/api/omnichannel-subscriptions/getomnichannelsubscription","metadata":{"seo":{"title":"Retrieve an omnichannel subscription","description":"Retrieves the information about a specific omnichannel subscription."}},"httpPath":"/v1/omni-channel-subscriptions/{subscriptionKey}"},{"label":"Delete an omnichannel subscription","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/omnichannel-subscriptions/deleteomnichannelsubscription","routeSlug":"/v1-api-reference/api/omnichannel-subscriptions/deleteomnichannelsubscription","metadata":{"seo":{"title":"Delete an omnichannel subscription","description":"Deletes a specified omnichannel subscription."}},"httpPath":"/v1/omni-channel-subscriptions/{subscriptionKey}"}]},{"type":"group","label":"Rate Plans","link":"/v1-api-reference/api/rate-plans","routeSlug":"/v1-api-reference/api/rate-plans","items":[{"label":"Retrieve a rate plan","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/rate-plans/get_rateplan","routeSlug":"/v1-api-reference/api/rate-plans/get_rateplan","metadata":{"seo":{"title":"Retrieve a rate plan","description":"Retrieves the detailed information about a specific subscription rate plan."}},"httpPath":"/v1/rateplans/{ratePlanId}"}]},{"type":"group","label":"Commitments","link":"/v1-api-reference/api/commitments","routeSlug":"/v1-api-reference/api/commitments","items":[{"label":"List commitments for an account","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commitments/getcommitments","routeSlug":"/v1-api-reference/api/commitments/getcommitments","metadata":{"seo":{"title":"List commitments for an account","description":"Retrieves a paginated list of commitments for a commitment owner account."}},"httpPath":"/commitments"},{"label":"Retrieve a commitment","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commitments/getcommitmentbykey","routeSlug":"/v1-api-reference/api/commitments/getcommitmentbykey","metadata":{"seo":{"title":"Retrieve a commitment","description":"Retrieves the details of a specific commitment using its ID or number."}},"httpPath":"/commitments/{commitmentKey}"},{"label":"List periods for a commitment","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commitments/getcommitmentperiods","routeSlug":"/v1-api-reference/api/commitments/getcommitmentperiods","metadata":{"seo":{"title":"List periods for a commitment","description":"Lists periods of the commitment. You can paginate the results using page and pageSize query parameters."}},"httpPath":"/commitments/periods"},{"label":"Preview the balance for a commitment","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commitments/getcommitmentbalancepreview","routeSlug":"/v1-api-reference/api/commitments/getcommitmentbalancepreview","metadata":{"seo":{"title":"Preview the balance for a commitment","description":"Preview the balance for a commitment for current and past periods.Future periods are not covered."}},"httpPath":"/commitments/{commitmentId}/balancepreview"},{"label":"List schedules for a commitment","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commitments/listcommitmentschedules","routeSlug":"/v1-api-reference/api/commitments/listcommitmentschedules","metadata":{"seo":{"title":"List schedules for a commitment","description":"Retrieves all the schedules for a specific commitment."}},"httpPath":"/commitments/{commitmentKey}/schedules"},{"label":"Expire a commitment-linked prepayment","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commitments/expireprepayment","routeSlug":"/v1-api-reference/api/commitments/expireprepayment","metadata":{"seo":{"title":"Expire a commitment-linked prepayment","description":"Expires a single commitment-linked prepayment and returns the updated prepayment state."}},"httpPath":"/prepayments/{prepaymentId}/expire"},{"label":"List the change history for a commitment","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/commitments/listcommitmenthistoricalchanges","routeSlug":"/v1-api-reference/api/commitments/listcommitmenthistoricalchanges","metadata":{"seo":{"title":"List the change history for a commitment","description":"Lists the historical changes made to a specific commitment, ordered by the most recent changes first."}},"httpPath":"/commitments/{commitmentKey}/commitmentChanges"}]},{"type":"separator","label":"Advanced Consumption Billing"},{"type":"group","label":"Prepaid with Drawdown","link":"/v1-api-reference/api/prepaid-with-drawdown","routeSlug":"/v1-api-reference/api/prepaid-with-drawdown","items":[{"label":"Reverse fund rollover","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/prepaid-with-drawdown/post_reverserollover","routeSlug":"/v1-api-reference/api/prepaid-with-drawdown/post_reverserollover","metadata":{"seo":{"title":"Reverse fund rollover","description":"This REST API reference describes how to manually reverse fund rollover from source validity period to destination validity period. There are no path or query parameters."}},"httpPath":"/v1/ppdd/reverse-rollover"},{"label":"Trigger fund rollover","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/prepaid-with-drawdown/post_rollover","routeSlug":"/v1-api-reference/api/prepaid-with-drawdown/post_rollover","metadata":{"seo":{"title":"Trigger fund rollover","description":"Prepaid with Drawdown Rollover enables you to transfer the accumulative carryover of your customers’ prepaid balance funds to the following validity period when using Prepaid with Drawdown. This REST API reference describes how to manually trigger fund rollover from source validity period to destination validity period. There are no path or query parameters."}},"httpPath":"/v1/ppdd/rollover"},{"label":"Deplete funds","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/prepaid-with-drawdown/expireprepaidfunds","routeSlug":"/v1-api-reference/api/prepaid-with-drawdown/expireprepaidfunds","metadata":{"seo":{"title":"Deplete funds","description":"Depletes prepaid balance funds."}},"httpPath":"/v1/prepaid-balance-funds/deplete"}]},{"type":"separator","label":"Usage"},{"type":"group","label":"Usage","link":"/v1-api-reference/api/usage","routeSlug":"/v1-api-reference/api/usage","items":[{"type":"link","label":"Note on dynamic pricing usage charges","link":"/v1-api-reference/api/usage/note-on-dynamic-pricing-usage-charges","routeSlug":"/v1-api-reference/api/usage/note-on-dynamic-pricing-usage-charges"},{"label":"Upload a usage file","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/usage/post_usage","routeSlug":"/v1-api-reference/api/usage/post_usage","metadata":{"seo":{"title":"Upload a usage file","description":"This REST API reference describes how to post or import usage data for one or more accounts in the CSV format. There are no path or query parameters. The data is uploaded using the HTTP multipart/form-data POST method and applied to the user's tenant."}},"httpPath":"/v1/usage"},{"label":"Retrieve usage rate detail for an invoice item","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/usage/get_usage_rate_detail_by_invoice_item","routeSlug":"/v1-api-reference/api/usage/get_usage_rate_detail_by_invoice_item","metadata":{"seo":{"title":"Retrieve usage rate detail for an invoice item","description":"Use this REST API operation to retrieve the usage rate detail for an invoice item to understand how the total amount is calculated. The information is the same as the Rate Detail presented on PDF invoices."}},"httpPath":"/v1/invoices/invoice-item/{invoice-item-id}/usage-rate-detail"},{"label":"CRUD: Create a usage record","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/usage/object_postusage","routeSlug":"/v1-api-reference/api/usage/object_postusage","metadata":{"seo":{"title":"CRUD: Create a usage record","description":"Creates a usage record."}},"httpPath":"/v1/object/usage"},{"label":"CRUD: Delete a usage record","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/usage/object_deleteusage","routeSlug":"/v1-api-reference/api/usage/object_deleteusage","metadata":{"seo":{"title":"CRUD: Delete a usage record","description":"Deletes a usage record. Usage records that are associated with a dynamic pricing usage charge cannot be deleted with this legacy Billing endpoint. When a delete request targets such a record, the operation fails and the usage record is not removed. Operations on dynamic pricing usage are supported only via Mediation-driven flows."}},"httpPath":"/v1/object/usage/{id}"},{"label":"CRUD: Retrieve a usage record","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/usage/object_getusage","routeSlug":"/v1-api-reference/api/usage/object_getusage","metadata":{"seo":{"title":"CRUD: Retrieve a usage record","description":"Retrieve a usage record."}},"httpPath":"/v1/object/usage/{id}"},{"label":"CRUD: Update a usage record","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/usage/object_putusage","routeSlug":"/v1-api-reference/api/usage/object_putusage","metadata":{"seo":{"title":"CRUD: Update a usage record","description":"Updates a usage record. Updating usage records that are associated with a dynamic pricing usage charge is not supported through this endpoint. The request fails and the record is not updated. Use Mediation-based flows to manage such usage."}},"httpPath":"/v1/object/usage/{id}"}]},{"type":"separator","label":"Mediation"},{"type":"group","label":"Meters","link":"/v1-api-reference/api/meters","routeSlug":"/v1-api-reference/api/meters","items":[{"label":"Run a specific version of a meter","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/meters/runspecificversionofmeter","routeSlug":"/v1-api-reference/api/meters/runspecificversionofmeter","metadata":{"seo":{"title":"Run a specific version of a meter","description":"Executes a specific version of a meter in Zuora Mediation. You can choose to run it with either a local file or event store source by providing optional configurations."}},"httpPath":"/meters/run/{meterId}/{version}"},{"label":"Stop a specific version of a meter","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/meters/stopmeterversion","routeSlug":"/v1-api-reference/api/meters/stopmeterversion","metadata":{"seo":{"title":"Stop a specific version of a meter","description":"Stops all runnable NORMAL-mode runs for a specific version of a meter in Zuora Mediation."}},"httpPath":"/meters/stop/{meterId}/{version}"},{"label":"Test a specific version of a meter","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/meters/testspecificversionofmeter","routeSlug":"/v1-api-reference/api/meters/testspecificversionofmeter","metadata":{"seo":{"title":"Test a specific version of a meter","description":"Test a specific version of a meter in Zuora Mediation without executing a full run. It supports multiple input methods, including uploaded files, sample files, and manual test data. This is useful for validating meter logic and transformations before meter run."}},"httpPath":"/meters/debug/{meterId}/{version}"},{"label":"Retrieve summary data for a meter","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/meters/retrievemetersummarydata","routeSlug":"/v1-api-reference/api/meters/retrievemetersummarydata","metadata":{"seo":{"title":"Retrieve summary data for a meter","description":"Retrieves summary data for a specific meter in Zuora Mediation, providing a rolled-up view of a meter run or time window. The API supports grouping by Operator ID, Error Code, or Session ID, and allows optional filters such as Query From Time, Query To Time, Operator IDs, and Session IDs. The API returns aggregated output and error counts per group and includes validation with detailed error responses for invalid parameters or formats."}},"httpPath":"/meters/{meterId}/summary"},{"label":"Retrieve the run status of a specific meter version","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/meters/getrunstatusofspecificmeterversion","routeSlug":"/v1-api-reference/api/meters/getrunstatusofspecificmeterversion","metadata":{"seo":{"title":"Retrieve the run status of a specific meter version","description":"Retrieves the current run status of a specific meter version in Zuora Mediation. It returns an integer code indicating the status, such as RUNNING, COMPLETED, or FAILED, which helps monitor the meter's execution state."}},"httpPath":"/meters/{meterId}/{version}/runStatus"},{"label":"Export details of a specific meter","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/meters/exportspecificmeter","routeSlug":"/v1-api-reference/api/meters/exportspecificmeter","metadata":{"seo":{"title":"Export details of a specific meter","description":"The Export Meter operation exports the full definition of a specific meter in Zuora Mediation, including metadata, all versions, event schemas, and operator configurations (source, processor, sink). It's useful for reviewing, backing up, or replicating meter setups across environments."}},"httpPath":"/meters/export/{meterId}"},{"label":"Import a meter definition","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/meters/importmeterdefinition","routeSlug":"/v1-api-reference/api/meters/importmeterdefinition","metadata":{"seo":{"title":"Import a meter definition","description":"Import a meter definition into Zuora Mediation using a file exported from the Export Meter API."}},"httpPath":"/meters/import"}]},{"type":"group","label":"Data Ingestion","link":"/v1-api-reference/api/data-ingestion","routeSlug":"/v1-api-reference/api/data-ingestion","items":[{"label":"Upload a file","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/data-ingestion/uploadmeteringfile","routeSlug":"/v1-api-reference/api/data-ingestion/uploadmeteringfile","metadata":{"seo":{"title":"Upload a file","description":"Uploads and stores a file in Zuora Mediation for use in meter processing. Supported formats include CSV, Excel, and JSON. You can specify metadata like headers, delimiters, sheets, and data ranges."}},"httpPath":"/meters/files"},{"label":"Ingest usage events for a meter","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/data-ingestion/ingestusageevents","routeSlug":"/v1-api-reference/api/data-ingestion/ingestusageevents","metadata":{"seo":{"title":"Ingest usage events for a meter","description":"Ingests usage events directly into Zuora Mediation in real time. You can send a single event or batch multiple events in a JSON array to optimize throughput. Each event must conform to the meter's event schema. This operation is supported only for meters that use the Streaming API as their source in Zuora Mediation. You can use this API to bulk-ingest events into a meter only when the meter's source is configured as a Streaming API operator. For meters that use other sources, use the appropriate ingestion mechanism for that source instead."}},"httpPath":"/usage/bulk/{meterGlobalId}"}]},{"type":"group","label":"Audit Trail","link":"/v1-api-reference/api/audit-trail","routeSlug":"/v1-api-reference/api/audit-trail","items":[{"label":"Retrieve the audit trail entries for a meter","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/audit-trail/getaudittrailentriesformeter","routeSlug":"/v1-api-reference/api/audit-trail/getaudittrailentriesformeter","metadata":{"seo":{"title":"Retrieve the audit trail entries for a meter","description":"Retrieves the audit trail entries for a specific meter in Zuora Mediation. The API provides detailed, record-level information about what happened during processing, including Payload and error details, operator information, and the trace ID/event ID."}},"httpPath":"/meters/{meterId}/auditTrail/entries"},{"label":"Retrieve the list of export jobs for a meter","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/audit-trail/getaudittrailexportjobs","routeSlug":"/v1-api-reference/api/audit-trail/getaudittrailexportjobs","metadata":{"seo":{"title":"Retrieve the list of export jobs for a meter","description":"Retrieves the list of previously initiated export jobs for a specific meter in Zuora Mediation.You can filter the results by export type, session IDs, or request ID by using the exportType,sessionIds, and requestId query parameters. Use the requestId returned when you create an exportjob to retrieve a specific job. If requestId is omitted, the API returns the list of export jobs.Use the status and fileList fields to determine whether a job is complete and which files to download.Then use the \"Retrieve the presigned URL for an export job\" operation with each fileKey in fileListto obtain the download URLs."}},"httpPath":"/meters/{meterId}/auditTrail/export"},{"label":"Create a job to export audit trail data for a meter","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/audit-trail/createaudittrailexportjob","routeSlug":"/v1-api-reference/api/audit-trail/createaudittrailexportjob","metadata":{"seo":{"title":"Create a job to export audit trail data for a meter","description":"Creates a background job to export the audit trail entries for a specific meter in Zuora Mediation.This API is for large-scale, offline access to audit data. Only one export job is processed per tenantat a time, and each export has a record limit, for example, up to 5 million rows per report.Use the returned requestId as the requestId query parameter with the \"Retrieve the list of export jobs for a meter\"operation to track the status of that specific job and retrieve the generated file names from fileList.Then use the \"Retrieve the presigned URL for an export job\" operation with each fileKey in fileList todownload the files."}},"httpPath":"/meters/{meterId}/auditTrail/export"},{"label":"Retrieve the presigned URL for an export job","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/audit-trail/getpresignedurlformeterexport","routeSlug":"/v1-api-reference/api/audit-trail/getpresignedurlformeterexport","metadata":{"seo":{"title":"Retrieve the presigned URL for an export job","description":"Returns a pre-signed URL that you can use to download a specific export file (usually from object storage such as S3). The fileKey corresponds to one entry from the fileList array in the List API. Use the returned URL in the data field directly in a browser or via a HTTP client to download the export file."}},"httpPath":"/meters/auditTrail/presignedUrl"},{"label":"List prefetch audit records","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/audit-trail/listprefetchauditrecords","routeSlug":"/v1-api-reference/api/audit-trail/listprefetchauditrecords","metadata":{"seo":{"title":"List prefetch audit records","description":"List audit records for prefetch operations by processor ID with filtering and cursor-based pagination."}},"httpPath":"/meters/{meterId}/prefetchAudit"}]},{"type":"group","label":"Event Store","link":"/v1-api-reference/api/event-store","routeSlug":"/v1-api-reference/api/event-store","items":[{"label":"Bulk delete events from an event store","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/event-store/bulkdeleteeventsfromeventstore","routeSlug":"/v1-api-reference/api/event-store/bulkdeleteeventsfromeventstore","metadata":{"seo":{"title":"Bulk delete events from an event store","description":"Allows you to delete multiple events from an event store in Zuora Mediation using a file that lists the event IDs to be removed. It is useful for cleaning up or correcting data in bulk."}},"httpPath":"/meters/events/bulkDelete"},{"label":"Retrieve the latest query job of a specific event store","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/event-store/getlatestqueryjobofspecificeventstore","routeSlug":"/v1-api-reference/api/event-store/getlatestqueryjobofspecificeventstore","metadata":{"seo":{"title":"Retrieve the latest query job of a specific event store","description":"Retrieves the most recent query job executed on a specific event store in Zuora Mediation. It returns metadata such as query type (for example, DELETE), status, record counts, and timestamps."}},"httpPath":"/meters/events/stores/{eventStoreId}/jobs/latest"},{"label":"Truncate all data from an event store","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/event-store/truncateeventstore","routeSlug":"/v1-api-reference/api/event-store/truncateeventstore","metadata":{"seo":{"title":"Truncate all data from an event store","description":"Truncates (deletes) all events from a specific event store in Zuora Mediation."}},"httpPath":"/meters/events/stores/{eventStoreId}/truncate"},{"label":"Submit an event store query","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/event-store/submiteventstorequery","routeSlug":"/v1-api-reference/api/event-store/submiteventstorequery","metadata":{"seo":{"title":"Submit an event store query","description":"Submits a SQL-style asynchronous query to the Event Store to retrieve and inspect metering events for validation, troubleshooting, and reconciliation. The API returns a queryId that can be used to poll and fetch paginated results."}},"httpPath":"/meters/event-store-queries"},{"label":"Retrieve the results for an event store query","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/event-store/getqueryresultsforeventstore","routeSlug":"/v1-api-reference/api/event-store/getqueryresultsforeventstore","metadata":{"seo":{"title":"Retrieve the results for an event store query","description":"Retrieves paginated result rows and column metadata for a previously submitted Event Store query using its queryId, including total row count, row-level field values, and readiness status. Query execution is asynchronous."}},"httpPath":"/meters/event-store-queries/{queryId}"}]},{"type":"separator","label":"Billing Documents"},{"type":"group","label":"Delivery Adjustments","link":"/v1-api-reference/api/delivery-adjustments","routeSlug":"/v1-api-reference/api/delivery-adjustments","items":[{"label":"List all delivery adjustments of a subscription","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/delivery-adjustments/get_subscription_adjustments","routeSlug":"/v1-api-reference/api/delivery-adjustments/get_subscription_adjustments","metadata":{"seo":{"title":"List all delivery adjustments of a subscription","description":"Describes how to retrieve detailed information about delivery adjustments of a subscription."}},"httpPath":"/v1/adjustments"},{"label":"Create a delivery adjustment","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/delivery-adjustments/create_adjustment","routeSlug":"/v1-api-reference/api/delivery-adjustments/create_adjustment","metadata":{"seo":{"title":"Create a delivery adjustment","description":"Describes how to create one or more delivery adjustments for a subscription."}},"httpPath":"/v1/adjustments"},{"label":"Preview a delivery adjustment","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/delivery-adjustments/preview_adjustment","routeSlug":"/v1-api-reference/api/delivery-adjustments/preview_adjustment","metadata":{"seo":{"title":"Preview a delivery adjustment","description":"Describes how to preview delivery adjustments of a subscription."}},"httpPath":"/v1/adjustments/preview"},{"label":"Retrieve a delivery adjustment","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/delivery-adjustments/get_adjustment","routeSlug":"/v1-api-reference/api/delivery-adjustments/get_adjustment","metadata":{"seo":{"title":"Retrieve a delivery adjustment","description":"Describes how to retrieve detailed information about a delivery adjustment."}},"httpPath":"/v1/adjustments/{adjustment-key}"},{"label":"Cancel a delivery adjustment","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/delivery-adjustments/put_canceladjustment","routeSlug":"/v1-api-reference/api/delivery-adjustments/put_canceladjustment","metadata":{"seo":{"title":"Cancel a delivery adjustment","description":"Describes how to cancel an unbilled delivery adjustment."}},"httpPath":"/v1/adjustments/{adjustmentId}/cancel"}]},{"type":"group","label":"Billing Documents","link":"/v1-api-reference/api/billing-documents","routeSlug":"/v1-api-reference/api/billing-documents","items":[{"label":"List billing documents for an account","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/billing-documents/get_billingdocuments","routeSlug":"/v1-api-reference/api/billing-documents/get_billingdocuments","metadata":{"seo":{"title":"List billing documents for an account","description":"Retrieves the information about all billing documents associated with a specified account. The billing documents contain invoices, credit memos, and debit memos."}},"httpPath":"/v1/billing-documents"},{"label":"Create a job to hard delete billing document files","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/billing-documents/post_billingdocumentfilesdeletionjob","routeSlug":"/v1-api-reference/api/billing-documents/post_billingdocumentfilesdeletionjob","metadata":{"seo":{"title":"Create a job to hard delete billing document files","description":"Creates an asynchronous job to permanently delete all billing document PDF files for specific accounts."}},"httpPath":"/v1/accounts/billing-documents/files/deletion-jobs"},{"label":"Retrieve a job of hard deleting billing document files","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/billing-documents/get_billingdocumentfilesdeletionjob","routeSlug":"/v1-api-reference/api/billing-documents/get_billingdocumentfilesdeletionjob","metadata":{"seo":{"title":"Retrieve a job of hard deleting billing document files","description":"Retrieves information about an asynchronous job of permanently deleting all billing document PDF files for specific accounts."}},"httpPath":"/v1/accounts/billing-documents/files/deletion-jobs/{jobId}"},{"label":"Generate billing documents by account ID","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/billing-documents/post_generatebillingdocuments","routeSlug":"/v1-api-reference/api/billing-documents/post_generatebillingdocuments","metadata":{"seo":{"title":"Generate billing documents by account ID","description":"Generates draft or posted billing documents for a specified account. You can also generate billing documents for specified subscriptions of a specified account. The billing documents contain invoices and credit memos. To generate credit memos, you must have the Invoice Settlement feature enabled."}},"httpPath":"/v1/accounts/{key}/billing-documents/generate"}]},{"type":"group","label":"Invoices","link":"/v1-api-reference/api/invoices","routeSlug":"/v1-api-reference/api/invoices","items":[{"label":"Create a standalone invoice","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/v1-api-reference/api/invoices/post_standaloneinvo
[...]
